<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL: https://svn.osuosl.org/public/maintain-project/trunk/class/htdocs/datalist/MXDataList.php $
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Authors: Michael Clay <claym@osuosl.org>                               |
// |          Frederic Wenzel <fred@osuosl.org>                             |
// +------------------------------------------------------------------------+
// $Id: MXDataList.php 4717 2006-08-09 22:47:42Z schonstal $

/**
  * MXDataList.php - contains the {@link MXDataList} class
  *
  * @author $Author: schonstal $
  * @filesource
  * @package    htdocs
  * @subpackage datalists
  */

require_once(DAOEXT.'/mx.php');
require_once(HTCLASS.'/DB_DataObjectDataList.php');
require_once(HTCLASS.'/DB_DataObjectDataListSource.php');

/**
  * Table listing for MX records
  *
  * @link   http://phphtmllib.newsblob.com/javadoc.php phpHtmlLib API Documentation
  * @link   http://phphtmllib.newsblob.com/doc/phpHtmlLib/DefaultGUIDatalist.html
            DefaultGUIDataList API Documentation
  * @package    htdocs
  * @subpackage datalists
  */
class MXDataList extends DB_DataObjectDataList
{

//{{{   get_data_source()

    function get_data_source()
    {
        $mx = new MX();
        $src = &new DB_DataObjectDataListSource($mx);
        $this->set_data_source($src);
        $this->_default_orderby = 'name';
    }

//}}}
//{{{   _user_setup()

    function _user_setup()
    {
        $this->add_header_item(_("Hostname"), '20%', 'name', SORTABLE, SEARCHABLE);
        $this->add_header_item(_("Server"), '20%', 'server', SORTABLE, null);
        $this->add_header_item(_("Priority"), '20%', 'priority', SORTABLE, null);
        $this->add_header_item(_("Status"), '20%', 'enabled',SORTABLE);
        $this->add_header_item(_("Action"),'20%');
        $this->_datasource->setup_db_options(array('zone' => $_SESSION['zone']));
    }

//}}}
//{{{   build_column_item()
    
    function build_column_item($row_data, $col_name)
    {
        switch ($col_name)
        {
            case _('Hostname'):
                $link = web_root().'mx.php?action=show&amp;id='.$row_data['id'];
                $obj = html_a($link, $row_data[_('hostname')]);
                break;
            case _('Action'):
                $obj = container();
                $obj = Module::apply_filter('action_module', $obj, $row_data, 'mx');
                break;
            case _("Status"):
                $obj = ($row_data['enabled']===1? _('Enabled') : _('Disabled'));
                break;
            default:
                $obj = parent::build_column_item($row_data, $col_name);
        }

        return $obj;
    }

//}}}

}

?>
