<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL$
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Author(s): Michael Clay <claym@osuosl.org>                             |
// +------------------------------------------------------------------------+
// $Id: WorkgroupBulkDeleteConfirm.php 4606 2006-07-12 22:41:37Z morgabra $

/* Class to bulk delete workgroup_zone mappings not the workgroups themselves */

class WorkgroupBulkDeleteForm extends FormContent
{

    var $ids;
//{{{ function WorkgroupBulkDeleteForm()
    function WorkgroupBulkDeleteForm($ids)
    {
        $this->ids = $ids;
    }
//}}}
//{{{ function form_init_elements()
    function form_init_elements()
    {
        $action =   new FEHidden("action", $_REQUEST['action']);
        $this->add_element(new FEHidden("ids", serialize($this->ids)));
        $this->add_element($action);
    }
//}}}
//{{{ function form()
    function form()
    {
        $div = html_div("delconfirm");
        $this->set_cancel_action($_SERVER['SCRIPT_NAME']);
        
        $div->add(_("You are going to delete this Workgroup form the following Zone(s):"));
        $div->add(html_br());

        if (!is_array($this->ids))
            $this->ids = array($this->ids);

        foreach($this->ids as $objid) {
            $zwg = DB_DataObject::Factory('zone_workgroup');
            $zwg->id = $objid;
            $zwg->find(1);
            $zn = new Zone($zwg->zone);
            $div->add($zn->name, html_br());
        }
        
        //Little dirty, but after we're done deleting I need to know what 
        //workgroup edit page to take them back to, so I need to know this
        $wg = new FEHidden('wg', $zwg->workgroup);
        
        $this->add_element($wg);
        
        $div->add(html_br(), $this->add_action(_('Confirm')), $this->add_cancel());
        $div->add($this->element_form("action"),$this->element_form("ids"),
                    $this->element_form('wg'));

        return $div;
    }
//}}}
//{{{ function form_action()
    function form_action()
    {
        global $user;
        $res = true;

        switch(strtolower($this->get_action())) {

        case 'confirm':
            $zwids = unserialize(stripslashes($_REQUEST['ids']));
            foreach($zwids as $zwid) {
                $zwg = DB_DataObject::Factory('zone_workgroup');
                $zwg->id =$zwid;
                $zwg->find(1);
                if($zwg->delete() === false) {
                    $this->add_error(_("ERROR"), _("Could not delete entry from DB"));
                    $res = false;
                } else {
                    $zwg->write_history(_("Workgroup Deleted From Zone"), 
                                        ACTION_DELETE, $user->username, $zwg->zone);
                }
            }
            break;

        default:
            $this->add_error(_("ERROR"),_("Invalid form action"));
            break;
        }

        return $res;
    }
//}}}
//{{{ function form_success()
    function form_success()
    {
        header("Location: ".web_root()."workgroup.php?action=edit&id=".
                $_REQUEST['wg']);
    }
//}}}
}

?>
