<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL$
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2006 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Authors: Frederic Wenzel <fred@osuosl.org>                             |
// +------------------------------------------------------------------------+
// $Id$

/**
  * SOA Pages
  *
  * @package    htdocs
  */

require_once("includes.php");
require_once(HTCLASS."/datalist/SOADataList.php");
require_once(FORMDIR."/SOACreateForm.php");
require_once(FORMDIR."/SOAEditForm.php");
require_once(FORMDIR."/MaintainDeleteConfirm.php");

session_start();
setup_user_environment();

$title = html_span("title");
$skin = Skin::Factory($user->color_template);
$content = container();


switch(strtolower($_REQUEST['action'])) {

case 'edit':
    if(!$user->is_admin())
        header("Location: denied.php");
    $title->add(_("Modifying SOA record"));
    $content->add($title);
    $content->add(html_br(2), Skin::amFactory(AM_EDIT, _("SOA Record")), html_br(2));
    $sef = new FormProcessor(new SOAEditForm, "soaedit");
    $sef->set_render_form_after_success(false);
    $content->add($sef);
    break;

case 'delconfirm':
    if(!$user->is_admin())
        header("Location: denied.php");
    $title->add(_("Deleting SOA Record"));
    $content->add($title);
    $sdc = new FormProcessor(new MaintainDeleteConfirm("SOA", "Domain"), "soadel");
    $sdc->set_render_form_after_success(false);
    $content->add($sdc);
    break;

case 'create':
    if(!$user->is_admin())
        header("Location: denied.php");
    $title->add(_("Create an SOA Record"));
    $content->add($title);
    
    $scf = new FormProcessor(new SOACreateForm, "soacreate");
    $scf->set_render_form_after_success(false);
    $content->add($scf);
    break;

case 'show':
default:
    if(!$user->is_admin());
    if(isset($_REQUEST['id'])) {
        $title->add(_("Displaying SOA Record"));
        $soa = new SOA($_REQUEST['id']);
        $content->add($title);
        $content->add(html_br(2), Skin::amFactory(AM_SHOW,_("SOA Record")), html_br(2));
        $content = Module::apply_filter("object_info",$content,$soa); 
    }
    else {
        $title->add(_("Listing SOA Records"));
        $sl = new SOADataList("Start Of Authority (SOA)");
        $sl->user_setup();
        $content->add($title);
        $content->add(html_br(2), Skin::amFactory(AM_LIST,_("SOA Record")), html_br(2));
        $content->add($sl);
    }
}

print $skin->display($content);

?>
